import { jsx } from "react/jsx-runtime";
import { TokenAGRS as TokenAGRS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAGRS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AGRS", "data-name": "TokenAGRS", ...props, children: /* @__PURE__ */ jsx(TokenAGRS$1, { variant }) });
  }
);
TokenAGRS.displayName = "TokenAGRS";
Object.assign(TokenAGRS, { isGdsIcon: true });
export {
  TokenAGRS
};
